Pango::LayoutLine(3pm)

NAME
Pango::LayoutLine - a line in a Pango::Layout

HIERARCHY
  Glib::Boxed
  +----Pango::LayoutLine

METHODS

  (ink_rect, logical_rect) = $line->get_extents

  (ink_rect, logical_rect) = $line->get_pixel_extents

  x_pos = $line->index_to_x ($index_, $trailing)

•   $index_ (integer)

•   $trailing (boolean)

  list = $line->get_pixel_extents

  list = $line->get_x_ranges ($start_index, $end_index)

•   $start_index (integer)

•   $end_index (integer)

  list = $line->x_to_index ($x_pos)

•   $x_pos (integer)

SEE ALSO
Pango, Glib::Boxed

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Pango for a full notice.